[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'gettext' (#fcl)

# TranslateResourceStrings

Translate the resource strings of the application.

## Declaration

Source position: gettext.pp line 73

`procedure TranslateResourceStrings(`
`AFile: TMOFile`
`); procedure TranslateResourceStrings(`
`const AFilename: string`
`);`

## Arguments

`AFile` |  | TMOfile instance with translated strings.

## Arguments

`AFilename` |  | Name of .mo file with translated strings

## Description

TranslateResourceStrings translates all the resource strings in the application based on the values in the .mo file AFileName or AFile. The procedure creates an TMOFile instance to read the .mo file if a filename is given.

## Errors

If the file does not exist or is an invalid .mo file.

## See also

TranslateUnitResourceStrings |  | Translate the resource strings of a unit.
TMOFile |  | Class providing access to a .mo file.